# Translation Tools

This directory contains tools for Chrome's UI translations.

## upload_screenshots.py

This tool uploads translation screenshots to a content-addressed Google Cloud
Storage bucket.

Translation screenshots are .png files provided by Chrome Developers to give
translators more context about UI changes. Developers take screenshots of their
UI changes, add them under a specific directory (derived from the path of the
.grd or .grdp file that contains the UI string) and run this tool. The tool
uploads the images, generates SHA1 fingerprints of the screenshots, and asks the
developer if they want to add the fingerprints to the CL.

Example: For a file at path/to/test.grd, the screenshot directory will be
path/to/test_grd. In the upstream Chrome repository, this directory will only
contain .png.sha1 files previously generated by this tool. In local working
repositories, it may contain .png files generated by Chrome developers, such as
path/to/test_grd/IDS_MESSAGE.png.

For more information, see go/chrome-translation-screenshots (Google internal
link).
